API referenceAdmin operations
Preview or apply current catalog prices to stored usage
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Path Parameters
app*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/admin/apps/string/usage/reprice" \ -H "Content-Type: application/json" \ -d '{ "provider": "openai", "model": "string", "month": "string" }'{ "app_id": "string", "provider": "string", "model": "string", "month": "string", "applied": true, "matched_events": 0, "unmetered_events": 0, "unpriced_events": 0, "unpriced_cost_usd": 0, "previous_cost_usd": 0, "recalculated_cost_usd": 0, "delta_usd": 0}Get application usage totals
Get application usage totals (GET /v1/admin/apps/{app}/usage) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.
Get application usage over time
Get application usage over time (GET /v1/admin/apps/{app}/usage/timeseries) in the App AI Gateway API.